Wiki

Clone wiki

RAWR / Installation

Home | Installation | Usage | DerbyCon Talk | FAQ

Requirements:

  • nmap - at least 6.00 - required for SSL strength assessment
  • Ghost or phantomJS
    • Can be switched in conf/settings.py - default setting is Ghost
    • phantomJS
      • automatically downloaded/installed during update (-u) when selected.
    • Ghost
      • python-qt4
      • xvfb
  • python-lxml - parsing xml & html
  • python-pygraphviz - create PNG diagrams from site crawl (optional)

Installation / Setup

  • cd rawr
  • ./install.sh

Embedded Packages:

OS Compatibility (tested with):

  • Kal (Debian 'Wheezy')
  • Samurai Web Testing Framework, REMnux, and Ubuntu 12.04LTS
  • OSX 10.8.2
  • ArchAssault 1.2
  • PWNPlug Elite (phantomJS was tested - pyside not in repo)
  • RHEL / CentOS 6.x
  • Fedora 21
  • Raspbian Wheezy - 9/9/14

Browser Compatibility (HTML report):

  • Supported - Firefox (tested w/ 33)
  • Tested/working on - Safari (tested w/ 5), Chrome (tested w/ 22), IE (tested w/ 7-9)

Updated